Subject: [arch-d] Re Follow-on questions from the "Internet of Things" discussion on Monday

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 26 Dec 2011 11:30:08 +0200

Hi Charlie,

thanks for your questions.

 > ---------- Forwarded message ----------
 > Date: Thu, 17 Nov 2011 00:22:20 -0800
 > From: Charles E. Perkins <charles.perkins at earthlink.net>
 > To: arch-discuss at iab.org
 > Cc: "Tschofenig, Hannes (NSN - DE/Germany - MiniMD)"
 > <hannes.tschofenig at nsn.com>, Zach Shelby <zach at sensinode.com>,
 > Bernard Aboba <aboba at internaut.com>, Jari Arkko <jari.arkko at 
piuha.net>,
 > Fred Baker <fred at cisco.com>
 > Subject: Follow-on questions from the "Internet of Things" discussion 
on Monday
 >
 >
 > Hello folks,
 >
 > Very interesting discussion on Monday. I asked some questions
 > but had a dozen more. Some were resolved later in the week.
 > Here are a few more.
 >
 > - Carsten campaigned against garrulity and fluff. For people
 > attempting to adhere to a modular design discipline, both
 > garrulity and fluff are difficult to avoid. For designs
 > that are intended to be extensible, garrulity is almost
 > guaranteed, and fluff will be in the eye of the beholder.
 >
 > These are generalities. Has anyone thought of specifics
 > from the problem domain to combat them?

I have to redirect that question to Carsten. He brought up the issue and 
I wonder whether he has some ideas. Of course, this is not just a 
question for the smart object area but an interesting question in 
general for a standards developing organization.

I put Carsten on CC.

 >
 > - Comments on 3GPP's M2M work? Does anyone on the panel
 > foresee any application for it in the Internet of Things?

I guess you mean the ETSI M2M work.

I have to say that I do not know the work in detail and so I have to 
skip the answer to that particular work. The other panel members were 
more involved in ETSI and so they may know something.

More broadly speaking, there are lots of organizations who believe that 
IoT, M2M, etc. are very special areas that require a huge amount of 
standardization work. Whenever you send a lot of standardization 
professions to a body they produce lots of standards. From past work we 
have seen that the understanding of what has to be standardized goes 
through all layers. That takes a lot of time.

The Prague IETF plenary dealt with that topic.

 >
 > - Mobility: The answer from one knowledgeable source was that
 > "good" applications don't depend on any particular IP address.
 > Presumably they anchor device context in some way. Must each
 > solution be different? Must the namespace for the endpoints
 > of each IoT application be separate?

I believe what was meant is that you design your applications in such a 
way that the device re-configures dynamically to deal with IP address 
changes.

If you think about the range of scenarios I think it is fair to say that 
not every device needs the ability to receive asynchronous inbound 
communication, which would require some "registration" / "anchoring" 
mechanism to be used.

For those scenarios where this is needed there are a number of choices, 
including solutions at the link layer, network layer, transport layer, 
and application layer.

 >
 > No surprise: I claim that traveling down the path of
 > per-application mobility is simply begging for bugs as
 > each new domain of expertise relives the horrors of the
 > developers in the previous domain. Painful shock #1:
 > security. For "too many" devices, painful shocks are
 > likely to arrive from all directions.

It depends what you want to accomplish with your application.

 >
 > - Jari Arkko praised the benefits of single-hop hub-and-spoke
 > architectures. Sounds great for the home or perhaps even
 > for the apartment house but not for IoT in the general case
 > for the canonical list of reasons. Would the IAB care to
 > produce guidance on this matter? It has come up in various
 > disguises all too many times.
Jari should respond to this question but I had made similar observations 
myself.

 >
 > PS. I don't know if this is the proper mailing list; if not,
 > please direct me to the proper place.

There is a mailing list, namely [email-masked]. You can 
subscribe here:
https://www.ietf.org/mailman/listinfo/architecture-discuss

Ciao
Hannes